classification
Title: test_pydoc after test_urllib2 causes exception in Popen.__del__
Type: Stage:
Components: Tests Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: Yinon, benjamin.peterson, flox, orsenthil
Priority: high Keywords:

Created on 2008-08-19 14:48 by benjamin.peterson, last changed 2010-01-20 11:30 by Yinon. This issue is now closed.

Messages (5)
msg71422 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-19 14:48
./python.exe Lib/test/regrtest.py -uall -f ../trunk/tests.txt
test_urllib2
test_pydoc
All 2 tests OK.
Exception TypeError: TypeError("'NoneType' object is not callable",) in
<bound method Popen.__del__ of <subprocess.Popen object at 0x15ffd10>>
ignored
msg95842 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2009-11-30 20:21
Tested on debian with r76600 (/branches/release26-maint

No error.

~/dev/python/release26-maint $ ./python Lib/test/regrtest.py -uall
test_urllib2 test_pydoc
test_urllib2
test_pydoc
All 2 tests OK.
~/dev/python/release26-maint $ 

Is it specific to Windows?
msg96913 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-12-27 16:21
I dont see the failure on trunk either. 
Is it either specific to windows or existed back when the bug was raised?
msg97481 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-09 23:57
Since nobody (and no bot) reported this error in twelve months,
we may close it.
msg98074 - (view) Author: Yinon Ehrlich (Yinon) Date: 2010-01-20 11:30
I saw this error in my scripts when using Python 2.5 on Ubuntu.
When imported trunk version instead of Python2.5 one, it disappeared.

So it's fixed in subprocess - def __del__
History
Date User Action Args
2010-01-20 11:30:05Yinonsetnosy: + Yinon
messages: + msg98074
2010-01-17 19:27:02floxsetstatus: pending -> closed
2010-01-09 23:57:28floxsetstatus: open -> pending
resolution: works for me
messages: + msg97481
2009-12-27 16:21:38orsenthilsetnosy: + orsenthil
messages: + msg96913
2009-11-30 20:21:20floxsetnosy: + flox
messages: + msg95842
2008-08-19 14:48:35benjamin.petersoncreate